Bug 471763 - kernel 2.6.27.5 has problem booting on some AMD64
kernel 2.6.27.5 has problem booting on some AMD64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Tony Camuso
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-15 19:44 EST by Martí­n Marqués
Modified: 2009-07-14 13:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:22:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpuinfo from laptop (1.47 KB, text/plain)
2009-02-09 12:19 EST, Martí­n Marqués
no flags Details
lspci from my laptop (23.01 KB, text/plain)
2009-02-09 12:20 EST, Martí­n Marqués
no flags Details
dmidecode from my laptop (6.34 KB, text/plain)
2009-02-09 12:21 EST, Martí­n Marqués
no flags Details

  None (edit)
Description Martí­n Marqués 2008-11-15 19:44:53 EST
Description of problem:

After upgrading to a newer version of the kernel I have lots of problems at boot time (I have to press keys of the keyboard or the blocking botton of the touchpad to make it keep on booting).

I found out that adding hpet=disable to the kernel command line fixes this, even though I have no idea on what hpet is.

I found this in the kernel bugzilla:

http://bugzilla.kernel.org/show_bug.cgi?id=11418


Version-Release number of selected component (if applicable):

# uname -a
Linux dagobah 2.6.27.5-37.fc9.x86_64 #1 SMP Wed Nov 12 18:31:37 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Martí­n Marqués 2008-11-19 04:30:55 EST
This get's fixed adding the option hpet=disable to the kernel.
Comment 2 Brian Maly 2009-01-26 13:57:03 EST
hpet=disable just prevents the kernel from using HPET (a system timer) as a reference for timekeeping adjustments. Looks like some HPET buggyness on this system.


Is the reporter able to test a patch which may resolve this issue? I do not have any affected hardware to reproduce the problem myself.
Comment 3 Martí­n Marqués 2009-01-28 20:02:03 EST
If you give me a patched rpm kernel (or src.rpm package) I can check if it works.
Comment 4 Martí­n Marqués 2009-01-28 20:07:44 EST
BTW, I just updated my laptop and this kernel was removed. At the moment I working with kernel 2.6.27.9-73.fc9.x86_64 with hpet=disable.
Comment 5 Brian Maly 2009-02-02 15:02:00 EST
What the exact chipset the affected hardware uses?

Can you attach a cpuinfo, lspci and dmidecode output possibly?
Comment 6 Martí­n Marqués 2009-02-09 12:19:59 EST
Created attachment 331336 [details]
cpuinfo from laptop
Comment 7 Martí­n Marqués 2009-02-09 12:20:51 EST
Created attachment 331337 [details]
lspci from my laptop
Comment 8 Martí­n Marqués 2009-02-09 12:21:44 EST
Created attachment 331338 [details]
dmidecode from my laptop
Comment 9 Brian Maly 2009-02-09 16:20:25 EST
So its a Presario F700 Notebook thats affected. Good to know.


Can you also attach a /var/log/dmesg? Sorry, I should have asked for this in Comment #5. My apologies....

Also, any idea of which kernel revision used to work properly? I would like to determine when this regression was actually introduced. 

Thanks.
Comment 11 Martí­n Marqués 2009-06-02 20:43:12 EDT
Problem persists in Fedora 10 with latest kernel.
Comment 12 Bug Zapper 2009-06-09 23:16:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Martí­n Marqués 2009-06-10 06:54:08 EDT
This still happens on F10 (as stated before) but I don't have F10 (upgraded to F11 a week ago) on the laptop which gave me this problem. I'll check how it works with F11 and send feedback.
Comment 14 Bug Zapper 2009-07-14 13:22:13 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.